{
    "states": [
        "IDLE",
        "INITIALIZED",
        "SENT",
        "UNDER_REVIEW",
        "TO_BE_FOLLOWED_UP",
        "VALIDATED",
        "ARCHIVED",
        "SEPA_SENT"
    ],
    "transitions": [
        {
            "name": "EVENT_INIT",
            "from": "IDLE",
            "to": "INITIALIZED"
        },
        {
            "name": "EVENT_SEND",
            "from": "INITIALIZED",
            "to": "SENT"
        },
        {
            "name": "EVENT_ARCHIVE",
            "from": "INITIALIZED",
            "to": "ARCHIVED"
        },
        {
            "name": "EVENT_SIGNATURE",
            "from": "SENT",
            "to": "UNDER_REVIEW"
        },
        {
            "name": "EVENT_WAITING_FOR_SEPA",
            "from": "SENT",
            "to": "SEPA_TO_SEND"
        },
        {
            "name": "EVENT_SEND_SEPA",
            "from": "SEPA_TO_SEND",
            "to": "SEPA_SENT"
        },
        {
            "name": "EVENT_FOLLOW_UP",
            "from": "SENT",
            "to": "TO_BE_FOLLOWED_UP"
        },
        {
            "name": "EVENT_ARCHIVE",
            "from": "SENT",
            "to": "ARCHIVED"
        },
        {
            "name": "EVENT_ARCHIVE",
            "from": "TO_BE_FOLLOWED_UP",
            "to": "ARCHIVED"
        },
        {
            "name": "EVENT_REFUSE",
            "from": "UNDER_REVIEW",
            "to": "SENT"
        },
        {
            "name": "EVENT_VALIDATE",
            "from": "UNDER_REVIEW",
            "to": "VALIDATED"
        },
        {
            "name": "EVENT_ARCHIVE",
            "from": "UNDER_REVIEW",
            "to": "ARCHIVED"
        },
        {
            "name": "EVENT_SIGNATURE_SEPA",
            "from": "SEPA_SENT",
            "to": "UNDER_REVIEW"
        },
        {
            "name": "EVENT_ARCHIVE",
            "from": "VALIDATED",
            "to": "ARCHIVED"
        }
    ]
}
